# Basic config common to all functional tests
# Can be easily overridden in each test config
imports:
    - { resource: services.yml }

parameters:
    locale: en
    database_path: '%kernel.root_dir%/../../../build/test.db'

framework:
    secret:          secret
    translator:
        default_path: '%kernel.root_dir%/translations'
    default_locale:  '%locale%'
    test:            ~
    router:          { resource: '%kernel.root_dir%/config/routing_base.yml' }
    form:            true
    validation:      { enable_annotations: true }
    profiler:
        collect: true
    session:
        storage_id: session.storage.mock_file

doctrine:
    dbal:
        driver: pdo_sqlite
        path:   '%database_path%'
    orm:
        auto_generate_proxy_classes: true
        auto_mapping: true
        mappings:
            # UnitTestEntities:
            #     mapping: true
            #     type: annotation
            #     dir: '%kernel.root_dir%/../AppTestBundle/Entity/UnitTests/'
            #     alias: 'UnitTests'
            #     prefix: 'AppTestBundle\Entity\UnitTests'
            #     is_bundle: false
            FunctionalTestEntities:
                mapping: true
                type: annotation
                dir: '%kernel.root_dir%/../AppTestBundle/Entity/FunctionalTests/'
                alias: 'FunctionalTests'
                prefix: 'AppTestBundle\Entity\FunctionalTests'
                is_bundle: false

twig:
    strict_variables: '%kernel.debug%'
    default_path: '%kernel.root_dir%/templates'

security:
    firewalls:
        main:
            pattern: ^/
            anonymous: true
    providers:
        in_memory:
             memory: ~
